Package com.opensymphony.module.sitemesh.taglib.decorator

# Class PropertyTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
com.opensymphony.module.sitemesh.taglib.AbstractTag
com.opensymphony.module.sitemesh.taglib.decorator.PropertyTag

All Implemented Interfaces:
  `RequestConstants`, `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

Direct Known Subclasses:
  `ExtractPropertyTag`

public class PropertyTag extends AbstractTag
Write property of Page to out.

Version:
  $Revision: 1.4 $
Author:
  Joe Walnes
See Also:
  - `Page.getProperty(java.lang.String)`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`defaultValue`
`private String`
`propertyName`
`private boolean`
`writeEntireProperty`

### Fields inherited from class com.opensymphony.module.sitemesh.taglib.AbstractTag

`pageContext, parent`

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants

`DECORATOR, PAGE, ROBOT`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`PropertyTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
To be implemented by all empty tags.
`protected String`
`getProperty()`
`void`
`setDefault(String defaultValue)`
Value to write if no property matching key is found (optional).
`void`
`setProperty(String propertyName)`
Key of property to write.
`final void`
`setWriteEntireProperty(String writeEntireProperty)`
When begins with y, t or 1, the full attribute (name + value) is written.

### Methods inherited from class com.opensymphony.module.sitemesh.taglib.AbstractTag

`doStartTag, getOut, getPage, getParent, release, setPageContext, setParent, trace`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getValue, getValues, removeValue, setId, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### propertyName

private String propertyName

### defaultValue

private String defaultValue

### writeEntireProperty

private boolean writeEntireProperty

## Constructor Details

### PropertyTag

public PropertyTag()

## Method Details

### setProperty

public void setProperty(String propertyName)
Key of property to write.

### getProperty

protected String getProperty()

### setDefault

public void setDefault(String defaultValue)
Value to write if no property matching key is found (optional).

### setWriteEntireProperty

public final void setWriteEntireProperty(String writeEntireProperty)
When begins with y, t or 1, the full attribute (name + value) is written.

### doEndTag

public int doEndTag()
Description copied from class: `AbstractTag`
To be implemented by all empty tags.

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Specified by:
  `doEndTag` in class `AbstractTag`